# -*- coding: utf-8 -*-
"""
Created on Tue Jul  5 23:19:38 2022

@author: pars
"""

import os
import sys

    
# we need to import some python modules from the $sumo_home/tools directory

if 'SUMO_HOME' in os.environ:
     tools = os.path.join(os.environ['SUMO_HOME'], 'tools')
     sys.path.append(tools)
else:
     sys.exit("please declare environment variable 'SUMO_HOME'")
     
# we need to check binary in environment variables.

from sumolib import checkBinary 
sumoBinary = checkBinary('sumo-gui')  # for running simulation automatically, I use "sumo" instead of "sumo-gui"
sumoCmd = [sumoBinary, "-c", "test3.sumocfg", "--output-prefix", " TIME",
           "--device.emissions.probability", "1" ,  "--emission-output", "emission-output.xml",
           "--verbose", "true"]

import traci

duration = [5, 10]
#duration = [20, 25, 30, 35, 40]
def busstation_operation(j):
    traci.start(sumoCmd)
    
    traci.vehicle.add('bus_1', 'route_1', typeID='BUS', depart=2, departLane= 0)
    traci.vehicle.setStop('bus_1','e2', pos = 12, laneIndex = 0, duration = j, flags = 0, startPos= 0)
    

    N = 50 
    step = 0
    for i in range(N):
        step += 1       
        traci.simulationStep()
    traci.close()
    sys.stdout.flush()  

    

n = 1
for i in range(n):
    i += 1
    print('===================================================')
    print('test 1 - 50 iterations')
    print('iteration is {0}'.format(i))
    for j in duration:
        print('waiting time is {0}'.format(j))
        busstation_operation(j)